import axios from 'axios';

// 公共路径
const urlPrefix = '/api/v1/bpms-workbench';

// 拉取代码
export function gitPull(componentBaseId) {
  return axios.post(`${urlPrefix}/componentGitea/${componentBaseId}/pull`);
}

// 提交代码
export function gitCommit(componentBaseId, params: { commit: string }) {
  return axios.post(`${urlPrefix}/componentGitea/${componentBaseId}/commit`, params);
}